package edu;

import java.awt.*;
import java.awt.event.*;
import java.applet.*;
import java.io.*;
import java.net.*;
import java.util.*;
import javax.swing.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import javax.swing.event.*;

import RTIcap.*;             // The package containing our stubs.
import npacrti.*;            // The package containing our stubs.
import org.omg.CosNaming.*;  // 
import org.omg.CORBA.*;      // All CORBA applications need these classes.
import owrti.util.*;

/**
*
* @author Hasan Timucin Ozdemir
* @date   March 16, 1999 (Updated on March 16, 1999)
*
*/
public class InterRecord
{
  Hashtable params = new Hashtable();
  short  classId = -1;
  String className;

  public InterRecord(String _className, int _classId )
  { className = _className; classId = (short)_classId; }
    
  public int getClassId() { return classId; }

  public String getClassName() { return className; }

  public void addParameterId(String paramName, int paramId )
  { 
    Integer a = (Integer)params.get(paramName);
    if(a==null) params.put(paramName,new Integer(paramId));
  }
  
  public int getParameterId(String paramName) 
  { 
    int ret = -1;
    Integer a = (Integer)params.get(paramName);
    if(a!=null) ret = a.intValue();
    return ret;
  }
}

